import 'package:flutter/material.dart';
import 'package:SEFER/constant/style.dart';

import '../../constant/colors.dart';

class IconWidgetMenu extends StatelessWidget {
  const IconWidgetMenu({
    Key? key,
    required this.onpressed,
    required this.icon,
    required this.title,
  }) : super(key: key);

  final VoidCallback onpressed;
  final IconData icon;
  final String title;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onpressed,
      child: Padding(
        padding: const EdgeInsets.only(top: 25),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Container(
              width: 50,
              decoration: const BoxDecoration(
                color: AppColor.secondaryColor,
                shape: BoxShape.circle,
                boxShadow: [
                  BoxShadow(
                    color: AppColor.secondaryColor,
                    offset: Offset(-2, -2),
                    blurRadius: 0,
                    spreadRadius: 0,
                    blurStyle: BlurStyle.outer,
                  ),
                  BoxShadow(
                    color: AppColor.accentColor,
                    offset: Offset(3, 3),
                    blurRadius: 0,
                    spreadRadius: 0,
                    blurStyle: BlurStyle.outer,
                  ),
                ],
              ),
              child: Center(
                child: Icon(
                  icon,
                  size: 30,
                  color: AppColor.primaryColor,
                ),
              ),
            ),
            Text(
              title,
              style: AppStyle.subtitle,
            )
          ],
        ),
      ),
    );
  }
}
